import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { RPCService } from '@loafer/ng-rpc';
import { MetaInfraType } from '@overflow/commons-typescript/model/meta';

@Injectable()
export class MetaInfraTypeService {

  public constructor(
    private rpcService: RPCService,
  ) {

  }

  public readByKey(key: string): Observable<MetaInfraType> {
    return this.rpcService.call<MetaInfraType>('MetaInfraTypeService.readByKey', key);
  }

  public readAll(): Observable<MetaInfraType[]> {
    return this.rpcService.call<MetaInfraType[]>('MetaInfraTypeService.readAll');
  }
}
